Page MenuHomePhabricator

commonscat.py: Number of pages written counter is always zero
Closed, ResolvedPublic

Description

Steps to reproduce:

Run the command

python3 pwb.py commonscat -start:! -lang:ary

Example of Output:

>>> گيليز <<<
@@ -13,0 +14 @@
+ {{Commonscat|Guéliz}}

Page [[گيليز]] saved


>>> گيگو <<<

1926 pages read
0 pages written
0 pages skipped
Execution time: 7041 seconds
Read operation time: 3.7 seconds
Script terminated successfully.

Actual result:

The script runs successfully but the counter of written pages is always zero although the bot already edited many pages.

Expected result:

The script should have displayed the actual number of written (edited) pages which is several hundred edits. (Link)

Version information:

Pywikibot: [https] r-pywikibot-core.git (7ff0f5a, g13111, 2020/09/13, 10:29:52, master)
Release version: 4.4.0.dev0
requests version: 2.21.0
  cacerts: /etc/ssl/certs/ca-certificates.crt
    certificate test: ok
Python: 3.5.3 (default, Jul  9 2020, 13:00:10)
[GCC 6.3.0 20170516]

Event Timeline

Meno25 created this task.Sep 13 2020, 8:04 PM
Restricted Application added subscribers: pywikibot-bugs-list, alaa, Aklapper. · View Herald TranscriptSep 13 2020, 8:04 PM
Meno25 updated the task description. (Show Details)Sep 13 2020, 8:21 PM
Xqt claimed this task.Sep 17 2020, 4:37 PM
Xqt triaged this task as Medium priority.

Change 628140 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] Adjust save counter in commonscat.py

https://gerrit.wikimedia.org/r/628140

Xqt closed this task as Resolved.Sep 18 2020, 6:36 PM

Change 628140 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Adjust save counter in commonscat.py

https://gerrit.wikimedia.org/r/628140